Bug 156782 - po/Makefile uses $RPM_BUILD_ROOT
po/Makefile uses $RPM_BUILD_ROOT
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 04:40 EDT by Joshua Nichols
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 09:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patches po/Makefile to use INSTROOT (898 bytes, patch)
2005-05-04 04:40 EDT, Joshua Nichols
no flags Details | Diff

  None (edit)
Description Joshua Nichols 2005-05-04 04:40:02 EDT
Description of problem:

The po/Makefile of system-config-date-1.7.17-2 tries to install files under
$RPM_BUILD_ROOT, which wouldn't be defined unless system-config-date is being
built via rpmbuild. Instead, it should be using INSTROOT, like the other
Makefiles in the package. On a side note, I believe DESTDIR is the more commonly
used variable name, compared to INSTROOT, but it doesn't really matter as long
as it is uniform across a particular package.
Comment 1 Joshua Nichols 2005-05-04 04:40:02 EDT
Created attachment 113997 [details]
Patches po/Makefile to use INSTROOT
Comment 2 Nils Philippsen 2005-05-06 09:54:43 EDT
Fixed package to use DESTDIR consistently in system-config-date-1.7.18.

Note You need to log in before you can comment on or make changes to this bug.